Subject: Re: bug#14734: 24.3.50; REGRESSION: defadvice broken wrt doc strings (C-h f)

From: Stefan Monnier <[email-masked]>
Date: Fri, 28 Jun 2013 23:24:50 -0400

> An argument was made that the REimplementation of something that
> worked well was done (was necessary?) to allow for backward
> compatibility.  I was speaking to that argument.

There has been no reimplementation (that would have been a waste of
time, since it's a package planned to become obsolete).  There's only
been some adjustments to make it so that the two advice packages don't
step on each other's feet.  More specifically, the old advice.el was
made to work on top of the new nadvice.el (the total size of the the new
advice.el and nadvice.el is about the same as the old advice.el).

The old advice.el could be reimplemented to use nadvice more directly
(e.g. so that each defadvice turns into a single advice-add, rather
than bundling all defadvice into a single advice-add), which would solve
some of your complaints, but it's a lot of work and would probably break
more backward compatibility because it'd be difficult to preserve some
details of advice.el's semantics.

        Stefan